#!/bin/bash
set +x

# Deps
sudo apt install cloc

# Get
git clone --recursive https://github.com/flashlight/flashlight --branch v0.3

# CMake step
time cmake .. -GNinja -DFL_BACKEND=CUDA -DArrayFire_DIR=/checkpoint/jacobkahn/usr/share/ArrayFire/cmake -DFL_BUILD_TESTS=ON -DCMAKE_BUILD_TYPE=Release -DFL_BUILD_LIBRARIES=ON -DFL_BUILD_CORE=ON -DBUILD_SHARED_LIBS=ON -DFL_BUILD_ALL_APPS=OFF -DFL_BUILD_EXAMPLES=ON

# Build step
time ninja install

# Check sizes
cloc flashlight/fl

# Count operators
# manually counted in flashlight/fl/tensor/TensorBase.h"
