# common setup
export PATH=${PATH}:/checkpoint/jacobkahn/usr/bin

module load cuda/11.0
module load cudnn/v8.0.3.33-cuda.11.0
module load NCCL/2.8.3-1-cuda.11.0
module load intel/mkl/2020.3.279
module load kenlm/010421/gcc.9.3.0

# ]--------- flashlight
# setup
time cmake .. -GNinja -DFL_BACKEND=CUDA -DArrayFire_DIR=/checkpoint/jacobkahn/usr/share/ArrayFire/cmake -DFL_BUILD_TESTS=ON -DCMAKE_BUILD_TYPE=Release -DFL_BUILD_LIBRARIES=ON -DFL_BUILD_CORE=ON -DBUILD_SHARED_LIBS=ON -DFL_BUILD_ALL_APPS=OFF -DFL_BUILD_EXAMPLES=ON -DCMAKE_INSTALL_PREFIX=/tmp

# time it
python ~/flashlight_paper/random_incremental_compile.py --basedir /scratch/slurm_tmpdir/47176058/flashlight/flashlight -e cpp -e c -e hpp -e h -e cu -e cuh -d fl --command "ninja" --builddir /scratch/slurm_tmpdir/47176058/flashlight --logfile "/private/home/jacobkahn/flashlight_paper/flashlight_incremental_compile.log" --numsamples=100
# count
cat flashlight_incremental_compile.log | awk '{print $2}' | paste -sd+ | bc
