#!/bin/bash
set +x

# Deps (don't count towards timing)
conda install numpy ninja pyyaml mkl mkl-include setuptools cmake cffi typing_extensions future six requests dataclasses
conda install -c pytorch magma-cuda110

# Check out version
git clone --recursive https://github.com/pytorch/pytorch --branch v1.8.0
# And update submodules
git submodule sync
git submodule update --init --recursive --jobs 0

# Build and install
time python setup.py install

# Count lines of code
git checkout master
cloc aten c10 caffe2 modules test tools torch
# use only C++, C/C++ Header, Python, YAML, CUDA, C, CMake

# Count operators
git checkout master
grep "func:" aten/src/ATen/native/native_functions.yaml | wc -l
