#!/bin/bash
set +x

# Deps (don't count towards timing)
pip install pip numpy wheel
pip install keras_preprocessing --no-deps

# Checkout version
git clone --recursive https://github.com/tensorflow/tensorflow.git --branch v2.4.0

# Configure stuff
python configure.py
# my local paths:
/public/apps/cuda/11.0/,/public/apps/cudnn/v8.0.3.33-cuda.11.0/cuda/,/public/apps/NCCL/2.8.3-1/

# Build
echo "Start time" && date +%s && time bazel build --config=cuda --config=v2 //tensorflow/tools/pip_package:build_pip_package && "End time" && date +%s

# Count lines of code
git checkout master
cd tensorflow && cloc core python c cc compiler stream_executor tools
# use only C++, C/C++ Header, Python, YAML, CUDA, C, CMake
# subtract the above types from the following (tensor components)
cloc core/ops core/kernels compiler/xla compiler/jit

# Count operators
git checkout master
grep "op {" tensorflow/core/ops/ops.pbtxt | wc -l
