#!/bin/bash
set +x

### --- FAIR Cluster Setup --- ###
conda install python==3.8

# Env
module load cuda/11.0
module load cudnn/v8.0.3.33-cuda.11.0
module load NCCL/2.7.8-1-cuda.11.0

# Symlink
ln -s /public/apps/cuda/11.0/lib64/libcusolver.so.10.6.0.245 /checkpoint/jacobkahn/flashlight_paper/benchmarks/tensorflow/libcusolver.so.11
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/checkpoint/jacobkahn/flashlight_paper/benchmarks/tensorflow/"

### --- Generic Setup --- ###
# Install
pip install tensorflow=2.4.0

# Official Tensorflow models repo
pip install -c constraints.txt tf-models-official==2.4.0
# Clone and checkout:
# git clone https://github.com/tensorflow/models
# cd models && git checkout v2.4.0 && pip install -r official/requirements.txt
